Bug 177566 - The access database shipped contains deprecated syntax
The access database shipped contains deprecated syntax
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 15:47 EST by Philip Prindeville
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 06:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2006-01-11 15:47:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
The shipped /etc/mail/access file contains the following entries:

# by default we allow relaying from localhost...
localhost.localdomain           RELAY
localhost                       RELAY
127.0.0.1                       RELAY

this is deprecated syntax, and should be replaced by "Connect:..." instead.


Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1. install sendmail
2. cat /etc/mail/access
3.
  

Actual Results:  Above.


Expected Results:  Should be:

# by default we allow relaying from localhost...
Connect:localhost.localdomain           RELAY
Connect:localhost                       RELAY
Connect:127.0.0.1                       RELAY


Additional info:
Comment 1 Philip Prindeville 2006-01-20 15:38:08 EST
Hi.

Wondering if you need more information about this defect or not.  Seems fairly
straightforward, and I've included what I suspect is the fix.
Comment 2 Matthew Miller 2006-07-10 18:03:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Philip Prindeville 2006-07-10 18:28:56 EDT
It is still present in FC5.
Comment 4 Thomas Woerner 2006-07-19 06:04:43 EDT
Fixed in fc-5-updates in rpm sendmail-8.13.7-2.fc5.1 and in rawhide in rpm
sendmail-8.13.7-3 or newer.

Note You need to log in before you can comment on or make changes to this bug.